# frozen_string_literal: true

require 'http'

module Krb
  module Setup
    # Sets up configuration
    class ApplyProductionNamespace < ApplicationService
      def process
        input = prompt.ask(ask_phrase) { |q| q.required true }
        ::Krb::Setup::Update.process('production_namespace' => input)
      end

      def ask_phrase
        'Please enter your production namespace (*namespace*.ngx.host) : '
      end
    end
  end
end
