# frozen_string_literal: true

require 'yaml'

module Krb
  module Setup
    # Sets up configuration
    class Update < ApplicationService
      def initialize(payload)
        @payload = payload
      end

      def process
        updated_setup = JSON.pretty_generate(setup.merge(@payload))
        File.open(setup_file_path, 'w+') { |f| f.write(updated_setup) }
      end
    end
  end
end
